Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::script_node::metadata_changed_emitter Class Reference

`metadata_changed` event emitter. More...

`#include <openvrml/script.h>`

Inheritance diagram for openvrml::script_node::metadata_changed_emitter:
[legend]

List of all members.

## Public Member Functions

| metadata_changed_emitter (const sfnode &value) throw ()
| Construct.
virtual | ~metadata_changed_emitter () throw ()
| Destroy.

## Private Member Functions

virtual const std::string | do_eventout_id () const throw ()
| The `eventOut` identifier.

## Detailed Description

`metadata_changed` event emitter.

For internal use only.

## Constructor & Destructor Documentation

openvrml::script_node::metadata_changed_emitter::metadata_changed_emitter | ( | const sfnode & | value | ) | throw ()`[explicit]`

Construct.

Parameters:

  `[in]` | value | the associated field value.

openvrml::script_node::metadata_changed_emitter::~metadata_changed_emitter | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const std::string openvrml::script_node::metadata_changed_emitter::do_eventout_id | ( |  | ) | const throw ()`[private, virtual]`

The `eventOut` identifier.

Returns:
  the `eventOut` identifier.

Implements openvrml::event_emitter.